Get inventory feed
curl --request GET \
--url https://api.app.hrizn.io/v1/public/inventory/feed \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/inventory/feed"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/inventory/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/inventory/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/inventory/feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"count": 254,
"vehicles": [
{
"vin": "1C4HJXEG5NW195712",
"year": 2022,
"make": "Jeep",
"model": "Wrangler Unlimited",
"trim": "Sahara 4x4",
"vehicle_type": "Used",
"price": 27759,
"mileage": 45225,
"exterior_color": "Bright White Clearcoat",
"interior_color": "Black",
"ai_description": null,
"image_url": "https://cdnrs.inventoryrsc.com/640x480/490008540_697aded63b109513bccc1573.jpg"
}
]
}
}
Get inventory feed
Get the complete inventory feed in JSON or XML format
GET
/
inventory
/
feed
Get inventory feed
Returns the complete inventory feed with vehicle data and AI descriptions. Supports JSON and XML output formats.
Scope required:
inventory:read
Query parameters
Response format:
json or xml.{
"data": {
"count": 254,
"vehicles": [
{
"vin": "1C4HJXEG5NW195712",
"year": 2022,
"make": "Jeep",
"model": "Wrangler Unlimited",
"trim": "Sahara 4x4",
"vehicle_type": "Used",
"price": 27759,
"mileage": 45225,
"exterior_color": "Bright White Clearcoat",
"interior_color": "Black",
"ai_description": null,
"image_url": "https://cdnrs.inventoryrsc.com/640x480/490008540_697aded63b109513bccc1573.jpg"
}
]
}
}
Authorizations
Your Hrizn API key (prefix hzk_)
Query Parameters
Response format
Available options:
json, xml Response
Inventory feed
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Last modified on February 28, 2026
⌘I
